Lists projects associated with a company. Returns projects where the company (or its linked contacts) has been added as a prospect.

Path Parameters
  • id
    Type: string
    required

    The unique identifier of the company

Query Parameters
  • page_size
    Type: string Pattern: ^-?(?:0|[1-9]\d*)$Format: int32

    Number of projects per page (1-500, default 100)

  • cursor
    Type: string

    Opaque pagination cursor from a previous response.

  • status
    Type: string

    Filter by project status: "open" or "closed".

  • classification
    Type: string

    Filter by prospect pipeline stage: not_contacted, contacted, interested, not_interested, bidder.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/network/companies/{id}/projects
curl 'https://app.propstreet.com/api/v1/network/companies/{id}/projects?page_size=&cursor=&status=&classification=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "uri": null,
      "prospectId": "string",
      "name": "string",
      "status": "string",
      "classification": null,
      "prospectClassification": null,
      "prospectCount": "string",
      "createdUtc": "2026-05-18T20:22:36.959Z",
      "updatedUtc": "2026-05-18T20:22:36.959Z",
      "deletedUtc": null,
      "etag": "string"
    }
  ],
  "page": {
    "nextCursor": null,
    "pageSize": "string",
    "hasMore": true
  }
}